<template>
  <h1 v-if="h1" :class="[`text-${color} text-h1`, getFontWeight()]">
    <slot>
      On sait depuis longtemps que travailler avec du texte lisible et contenant du sens est source de distractions, et empêche de se concentrer sur la mise en page elle-même. L'avantage du Lorem Ipsum sur un texte générique comme 'Du texte. Du texte.
    </slot>
  </h1>

  <h2 v-else-if="h2" :class="[`text-${color} text-h2`, getFontWeight()]">
    <slot>
      On sait depuis longtemps que travailler avec du texte lisible et contenant du sens est source de distractions, et empêche de se concentrer sur la mise en page elle-même. L'avantage du Lorem Ipsum sur un texte générique comme 'Du texte. Du texte.
    </slot>
  </h2>

  <h3 v-else-if="h3" :class="[`text-${color} text-h3`, getFontWeight()]">
    <slot>
      On sait depuis longtemps que travailler avec du texte lisible et contenant du sens est source de distractions, et empêche de se concentrer sur la mise en page elle-même. L'avantage du Lorem Ipsum sur un texte générique comme 'Du texte. Du texte.
    </slot>
  </h3>

  <h4 v-else-if="h4" :class="[`text-${color} text-h4`, getFontWeight()]">
    <slot>
      On sait depuis longtemps que travailler avec du texte lisible et contenant du sens est source de distractions, et empêche de se concentrer sur la mise en page elle-même. L'avantage du Lorem Ipsum sur un texte générique comme 'Du texte. Du texte.
    </slot>
  </h4>

  <h5 v-else-if="h5" :class="[`text-${color} text-h5`, getFontWeight()]">
    <slot>
      On sait depuis longtemps que travailler avec du texte lisible et contenant du sens est source de distractions, et empêche de se concentrer sur la mise en page elle-même. L'avantage du Lorem Ipsum sur un texte générique comme 'Du texte. Du texte.
    </slot>
  </h5>

  <h6 v-else-if="h6" :class="[`text-${color} text-h6`, getFontWeight()]">
    <slot>
      On sait depuis longtemps que travailler avec du texte lisible et contenant du sens est source de distractions, et empêche de se concentrer sur la mise en page elle-même. L'avantage du Lorem Ipsum sur un texte générique comme 'Du texte. Du texte.
    </slot>
  </h6>
</template>

<script setup>
const props = defineProps({
  h1: { type: Boolean, default: false },
  h2: { type: Boolean, default: false },
  h3: { type: Boolean, default: false },
  h4: { type: Boolean, default: false },
  h5: { type: Boolean, default: false },
  h6: { type: Boolean, default: false },
  regular: { type: Boolean, default: false },
  medium: { type: Boolean, default: false },
  bold: { type: Boolean, default: false },
  color: { type: String, default: 'onSurface' },
})

const getFontWeight = () => {
  if (props?.regular) {
    return 'font-weight-regular'
  }
  else if (props?.medium) {
    return 'font-weight-medium'
  }
  if (props?.bold) {
    return 'font-weight-bold'
  }
  else {
    return 'font-weight-regular'
  }
}
</script>
